Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.ui
Class DelegatingViewRoot

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIViewRoot
                  org.springframework.faces.ui.DelegatingViewRoot

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  AjaxViewRoot

    public abstract class DelegatingViewRoot

extends javax.faces.component.UIViewRoot

Base class for wrapping an existing UIViewRoot to customize its behavior.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class javax.faces.component.UIViewRoot
`COMPONENT_FAMILY, COMPONENT_TYPE, METADATA_FACET_NAME, UNIQUE_ID_PREFIX, VIEW_PARAMETERS_KEY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`DelegatingViewRoot(javax.faces.component.UIViewRoot original)`

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener phaseListener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.String` | `createUniqueId()`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeAll(javax.faces.context.FacesContext context)`
`void` | `encodeBegin(javax.faces.context.FacesContext context)`
`void` | `encodeChildren(javax.faces.context.FacesContext context)`
`void` | `encodeEnd(javax.faces.context.FacesContext context)`
`javax.faces.component.UIComponent` | `findComponent(java.lang.String expr)`
`javax.el.MethodExpression` | `getAfterPhaseListener()`
`java.util.Map` | `getAttributes()`
`javax.el.MethodExpression` | `getBeforePhaseListener()`
`int` | `getChildCount()`
`java.util.List` | `getChildren()`
`java.lang.String` | `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` | `getContainerClientId(javax.faces.context.FacesContext ctx)`
`javax.faces.component.UIComponent` | `getFacet(java.lang.String name)`
`int` | `getFacetCount()`
`java.util.Map` | `getFacets()`
`java.util.Iterator` | `getFacetsAndChildren()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getId()`
`java.util.Locale` | `getLocale()`
`javax.faces.component.UIViewRoot` | `getOriginalViewRoot()`
`javax.faces.component.UIComponent` | `getParent()`
`java.lang.String` | `getRendererType()`
`java.lang.String` | `getRenderKitId()`
`boolean` | `getRendersChildren()`
`javax.faces.el.ValueBinding` | `getValueBinding(java.lang.String name)` Deprecated.
`javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
`java.lang.String` | `getViewId()`
`boolean` | `invokeOnComponent(javax.faces.context.FacesContext context, java.lang.String clientId, javax.faces.component.ContextCallback callback)`
`boolean` | `isRendered()`
`boolean` | `isTransient()`
`void` | `processApplication(javax.faces.context.FacesContext context)`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processRestoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `processSaveState(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removePhaseListener(javax.faces.event.PhaseListener phaseListener)`
`void` | `restoreState(javax.faces.context.FacesContext facesContext, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext facesContext)`
`void` | `setAfterPhaseListener(javax.el.MethodExpression afterPhaseListener)`
`void` | `setBeforePhaseListener(javax.el.MethodExpression beforePhaseListener)`
`void` | `setId(java.lang.String id)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setParent(javax.faces.component.UIComponent parent)`
`void` | `setRendered(boolean rendered)`
`void` | `setRendererType(java.lang.String rendererType)`
`void` | `setRenderKitId(java.lang.String renderKitId)`
`void` | `setTransient(boolean transientFlag)`
`void` | `setValueBinding(java.lang.String name, javax.faces.el.ValueBinding binding)` Deprecated.
`void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression expression)`
`void` | `setViewId(java.lang.String viewId)`

Methods inherited from class javax.faces.component.UIViewRoot
`addComponentResource, addComponentResource, broadcastEvents, createUniqueId, getComponentResources, getPhaseListeners, getViewListenersForEventClass, getViewMap, getViewMap, isInView, removeComponentResource, removeComponentResource, resetValues, restoreViewScopeState, setInView, subscribeToViewEvent, unsubscribeFromViewEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, getClientBehaviors, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getListenersForEventClass, getPassThroughAttributes, getRenderer, markInitialState, removeFacesListener, restoreAttachedState, saveAttachedState, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingViewRoot

    public DelegatingViewRoot(javax.faces.component.UIViewRoot original)

Method Detail

### getOriginalViewRoot

    public javax.faces.component.UIViewRoot getOriginalViewRoot()

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener phaseListener)

  Overrides:
    `addPhaseListener` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `phaseListener` -
  See Also:
    `UIViewRoot.addPhaseListener(javax.faces.event.PhaseListener)`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `event` -
  Throws:
    `javax.faces.event.AbortProcessingException`
  See Also:
    `UIComponentBase.broadcast(javax.faces.event.FacesEvent)`

### createUniqueId

    public java.lang.String createUniqueId()

  Overrides:
    `createUniqueId` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.createUniqueId()`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `context` -
  See Also:
    `UIComponentBase.decode(javax.faces.context.FacesContext)`

### encodeAll

    public void encodeAll(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeAll` in class `javax.faces.component.UIComponent`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`
  See Also:
    `UIComponent.encodeAll(javax.faces.context.FacesContext)`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`
  See Also:
    `UIViewRoot.encodeBegin(javax.faces.context.FacesContext)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`
  See Also:
    `UIComponentBase.encodeChildren(javax.faces.context.FacesContext)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`
  See Also:
    `UIViewRoot.encodeEnd(javax.faces.context.FacesContext)`

### findComponent

    public javax.faces.component.UIComponent findComponent(java.lang.String expr)

  Overrides:
    `findComponent` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `expr` -
  See Also:
    `UIComponentBase.findComponent(java.lang.String)`

### getAfterPhaseListener

    public javax.el.MethodExpression getAfterPhaseListener()

  Overrides:
    `getAfterPhaseListener` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getAfterPhaseListener()`

### getAttributes

    public java.util.Map getAttributes()

  Overrides:
    `getAttributes` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getAttributes()`

### getBeforePhaseListener

    public javax.el.MethodExpression getBeforePhaseListener()

  Overrides:
    `getBeforePhaseListener` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getBeforePhaseListener()`

### getChildCount

    public int getChildCount()

  Overrides:
    `getChildCount` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getChildCount()`

### getChildren

    public java.util.List getChildren()

  Overrides:
    `getChildren` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getChildren()`

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

  Overrides:
    `getClientId` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `context` -
  See Also:
    `UIComponentBase.getClientId(javax.faces.context.FacesContext)`

### getContainerClientId

    public java.lang.String getContainerClientId(javax.faces.context.FacesContext ctx)

  Overrides:
    `getContainerClientId` in class `javax.faces.component.UIComponent`
  Parameters:
    `ctx` -
  See Also:
    `UIComponent.getContainerClientId(javax.faces.context.FacesContext)`

### getFacet

    public javax.faces.component.UIComponent getFacet(java.lang.String name)

  Overrides:
    `getFacet` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `name` -
  See Also:
    `UIComponentBase.getFacet(java.lang.String)`

### getFacetCount

    public int getFacetCount()

  Overrides:
    `getFacetCount` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getFacetCount()`

### getFacets

    public java.util.Map getFacets()

  Overrides:
    `getFacets` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getFacets()`

### getFacetsAndChildren

    public java.util.Iterator getFacetsAndChildren()

  Overrides:
    `getFacetsAndChildren` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getFacetsAndChildren()`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getFamily()`

### getId

    public java.lang.String getId()

  Overrides:
    `getId` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getId()`

### getLocale

    public java.util.Locale getLocale()

  Overrides:
    `getLocale` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getLocale()`

### getParent

    public javax.faces.component.UIComponent getParent()

  Overrides:
    `getParent` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getParent()`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.getRendererType()`

### getRenderKitId

    public java.lang.String getRenderKitId()

  Overrides:
    `getRenderKitId` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getRenderKitId()`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIComponentBase.getRendersChildren()`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(java.lang.String name)

  Deprecated.

  Overrides:
    `getValueBinding` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `name` -
  See Also:
    `UIComponentBase.getValueBinding(java.lang.String)`

### getValueExpression

    public javax.el.ValueExpression getValueExpression(java.lang.String name)

  Overrides:
    `getValueExpression` in class `javax.faces.component.UIComponent`
  Parameters:
    `name` -
  See Also:
    `UIComponent.getValueExpression(java.lang.String)`

### getViewId

    public java.lang.String getViewId()

  Overrides:
    `getViewId` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.getViewId()`

### invokeOnComponent

    public boolean invokeOnComponent(javax.faces.context.FacesContext context,
                                     java.lang.String clientId,
                                     javax.faces.component.ContextCallback callback)
                              throws javax.faces.FacesException

  Overrides:
    `invokeOnComponent` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `context` -
    `clientId` -
    `callback` -
  Throws:
    `javax.faces.FacesException`
  See Also:
    `UIComponentBase.invokeOnComponent(javax.faces.context.FacesContext, java.lang.String, javax.faces.component.ContextCallback)`

### isRendered

    public boolean isRendered()

  Overrides:
    `isRendered` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.isRendered()`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`
  Overrides:
    `isTransient` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.isTransient()`

### processApplication

    public void processApplication(javax.faces.context.FacesContext context)

  Overrides:
    `processApplication` in class `javax.faces.component.UIViewRoot`
  See Also:
    `UIViewRoot.processApplication(javax.faces.context.FacesContext)`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  See Also:
    `UIViewRoot.processDecodes(javax.faces.context.FacesContext)`

### processRestoreState

    public void processRestoreState(javax.faces.context.FacesContext context,
                                    java.lang.Object state)

  Overrides:
    `processRestoreState` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
    `state` -
  See Also:
    `UIComponentBase.processRestoreState(javax.faces.context.FacesContext, java.lang.Object)`

### processSaveState

    public java.lang.Object processSaveState(javax.faces.context.FacesContext context)

  Overrides:
    `processSaveState` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `context` -
  See Also:
    `UIComponentBase.processSaveState(javax.faces.context.FacesContext)`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  See Also:
    `UIViewRoot.processUpdates(javax.faces.context.FacesContext)`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `context` -
  See Also:
    `UIViewRoot.processValidators(javax.faces.context.FacesContext)`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `event` -
  See Also:
    `UIViewRoot.queueEvent(javax.faces.event.FacesEvent)`

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener phaseListener)

  Overrides:
    `removePhaseListener` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `phaseListener` -
  See Also:
    `UIViewRoot.removePhaseListener(javax.faces.event.PhaseListener)`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facesContext,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `facesContext` -
    `state` -
  See Also:
    `UIViewRoot.restoreState(javax.faces.context.FacesContext, java.lang.Object)`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext facesContext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `facesContext` -
  See Also:
    `UIViewRoot.saveState(javax.faces.context.FacesContext)`

### setAfterPhaseListener

    public void setAfterPhaseListener(javax.el.MethodExpression afterPhaseListener)

  Overrides:
    `setAfterPhaseListener` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `afterPhaseListener` -
  See Also:
    `UIViewRoot.setAfterPhaseListener(javax.el.MethodExpression)`

### setBeforePhaseListener

    public void setBeforePhaseListener(javax.el.MethodExpression beforePhaseListener)

  Overrides:
    `setBeforePhaseListener` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `beforePhaseListener` -
  See Also:
    `UIViewRoot.setBeforePhaseListener(javax.el.MethodExpression)`

### setId

    public void setId(java.lang.String id)

  Overrides:
    `setId` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `id` -
  See Also:
    `UIComponentBase.setId(java.lang.String)`

### setLocale

    public void setLocale(java.util.Locale locale)

  Overrides:
    `setLocale` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `locale` -
  See Also:
    `UIViewRoot.setLocale(java.util.Locale)`

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  Overrides:
    `setParent` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `parent` -
  See Also:
    `UIComponentBase.setParent(javax.faces.component.UIComponent)`

### setRendered

    public void setRendered(boolean rendered)

  Overrides:
    `setRendered` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `rendered` -
  See Also:
    `UIComponentBase.setRendered(boolean)`

### setRendererType

    public void setRendererType(java.lang.String rendererType)

  Overrides:
    `setRendererType` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `rendererType` -
  See Also:
    `UIComponentBase.setRendererType(java.lang.String)`

### setRenderKitId

    public void setRenderKitId(java.lang.String renderKitId)

  Overrides:
    `setRenderKitId` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `renderKitId` -
  See Also:
    `UIViewRoot.setRenderKitId(java.lang.String)`

### setTransient

    public void setTransient(boolean transientFlag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`
  Overrides:
    `setTransient` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `transientFlag` -
  See Also:
    `UIComponentBase.setTransient(boolean)`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                javax.faces.el.ValueBinding binding)

  Deprecated.

  Overrides:
    `setValueBinding` in class `javax.faces.component.UIComponentBase`
  Parameters:
    `name` -
    `binding` -
  See Also:
    `UIComponentBase.setValueBinding(java.lang.String, javax.faces.el.ValueBinding)`

### setValueExpression

    public void setValueExpression(java.lang.String name,
                                   javax.el.ValueExpression expression)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`
  Parameters:
    `name` -
    `expression` -
  See Also:
    `UIComponent.setValueExpression(java.lang.String, javax.el.ValueExpression)`

### setViewId

    public void setViewId(java.lang.String viewId)

  Overrides:
    `setViewId` in class `javax.faces.component.UIViewRoot`
  Parameters:
    `viewId` -
  See Also:
    `UIViewRoot.setViewId(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD